# Musement API --- --- For merchant or affiliate partners wishing to use the Musement API. # Authentication See the [Authentication section](/api/getting-started/authentication/) for details on how to authenticate with the API. # Release notes ## 2024-06-18 ### Endpoints * `GET /activities/{activityUuid}/dates/{date}` * Changed default `min_buy` value from `-1` to `1` ## 2024-02-21 ### Endpoints * Added `GET /orders/{orderUuid}/refunds` * Returns an array of paid refunds for an order ## 2024-02-20 ### Endpoints * `GET /activities/{activityUuid}/dates/{date}` * Added `availability`, `max_buy` and `min_buy` properties to timeslots. For more info, [check out our guide](/api/booking-flow/product/quantities/) Version: 3.5.0 License: Apache 2.0 ## Servers Sandbox server ``` https://sandbox.musement.com/api/v3 ``` Production server ``` https://api.musement.com/api/v3 ``` ## Security ### Partner The default security scheme for partners accessing the Musement API. Type: oauth2 ### Webhook This security scheme is used by the Musement API when calling a partner's service. Type: http Scheme: basic ## Download OpenAPI description [Musement API](https://partner-api.musement.com/_bundle/reference/@v3.5.0/openapi.yaml) ## Activities Activities can be any tour, attraction or experience that customers can reserve via the Musement API. ### Search activities - [GET /activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/activities.md): Returns an array of activities and additional meta information. ### Get activity - [GET /activities/{activityUuid}](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid.md): Returns an activity ### Get country for activity - [GET /activities/{activityUuid}/country](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/country.md): Returns the country associated with the activity's default city. ### Get cities for activity - [GET /activities/{activityUuid}/destinations](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/destinations.md): Every activity has one default city which appears in the /activities and /activities/{activityUuid} endpoints. However, an activity may be connected to multiple cities. This endpoint lists all connected cities and indicates which one is the default. ### Get extra customer data schema for activity - [GET /activities/{activityUuid}/extra-customer-data/schema](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/extra-customer-data/schema.md): Extra customer data is information requested per reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. ### Get flavours for activity - [GET /activities/{activityUuid}/flavours](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/flavours.md): Flavours are tags which provide additional information about an activity's characteristics. ### Get media for activity - [GET /activities/{activityUuid}/media](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/media.md): The response contains an array of media items for the activity. Items are mainly images, but could also be video. Depending on the activity configuration, the cover image may or may not be part of the results. If none of the results is the cover image, you can get its URL from the /activities/{activityUuid} endpoint. ### Get languages for activity - [GET /activities/{activityUuid}/metadata/languages](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/metadata/languages.md): Get all languages which may be used for a timeslot in the specified activity. ### Get participant info schema for activity - [GET /activities/{activityUuid}/participants-info/schema](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/participants-info/schema.md): Participant info is required for each person in a reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. ### Get refund policies for activity - [GET /activities/{activityUuid}/refund-policies](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/refund-policies.md): Returns an array of refund policies for the activity. Activities without refund policies are non-refundable. Depending on the configuration, an activity without refund policies will return either an empty or array or a 404 status code response. A 404 status code response could also mean the activity does not exist. ### Get taxonomies for activity - [GET /activities/{activityUuid}/taxonomies](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/taxonomies.md): Taxonomies provide information about the activity's highlights, inclusions and exclusions. ### Get pickups for activity - [GET /activities/{activityUuid}/pickups](https://partner-api.musement.com/reference/openapi/pickups/get/activities/activityuuid/pickups.md): Some activities require selecting a pickup from this endpoint as part of the reservation flow. ### Search dates in activity - [GET /activities/{activityUuid}/dates](https://partner-api.musement.com/reference/openapi/dates/get/activities/activityuuid/dates.md): Depending on the activity configuration, this endpoint may return price info in addition to dates. For activities with pickups, the pickup query parameter must be used. ### Get schedule for date in activity - [GET /activities/{activityUuid}/dates/{date}](https://partner-api.musement.com/reference/openapi/dates/get/activities/activityuuid/dates/dates.md): Returns all options, times, holders, languages and products for the specified date. A product's type and ID, required for adding a product to cart, can be found in the response. For activities with pickups, the pickup query parameter must be used. A 422 status code response means the requested date is not available, either temporarily or permanently. Customers are encouraged to try a different date. ### Search activities - [GET /activities](https://partner-api.musement.com/reference/openapi/activities/get/activities.md): Returns an array of activities and additional meta information. ### Get activity - [GET /activities/{activityUuid}](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid.md): Returns an activity ### Get bundles for activity - [GET /activities/{activityUuid}/bundles](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/bundles.md): Bundles are recommendations of other activities to purchase together with the current activity. Recommendations are based on activities which are often purchased together by other customers. Sometimes a bundle may contain a promotional discount which can be applied to one or both activities when added to cart. ### Get translation for activity - [GET /activities/{activityUuid}/contents/{locale}](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/contents/locale.md): Returns a translation (if it exists) for an activity. ### Get country for activity - [GET /activities/{activityUuid}/country](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/country.md): Returns the country associated with the activity's default city. ### Search dates in activity - [GET /activities/{activityUuid}/dates](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/dates.md): Depending on the activity configuration, this endpoint may return price info in addition to dates. For activities with pickups, the pickup query parameter must be used. ### Get schedule for date in activity - [GET /activities/{activityUuid}/dates/{date}](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/dates/dates.md): Returns all options, times, holders, languages and products for the specified date. A product's type and ID, required for adding a product to cart, can be found in the response. For activities with pickups, the pickup query parameter must be used. A 422 status code response means the requested date is not available, either temporarily or permanently. Customers are encouraged to try a different date. ### Get cities for activity - [GET /activities/{activityUuid}/destinations](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/destinations.md): Every activity has one default city which appears in the /activities and /activities/{activityUuid} endpoints. However, an activity may be connected to multiple cities. This endpoint lists all connected cities and indicates which one is the default. ### Get extra customer data schema for activity - [GET /activities/{activityUuid}/extra-customer-data/schema](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/extra-customer-data/schema.md): Extra customer data is information requested per reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. ### Get flavours for activity - [GET /activities/{activityUuid}/flavours](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/flavours.md): Flavours are tags which provide additional information about an activity's characteristics. ### Get media for activity - [GET /activities/{activityUuid}/media](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/media.md): The response contains an array of media items for the activity. Items are mainly images, but could also be video. Depending on the activity configuration, the cover image may or may not be part of the results. If none of the results is the cover image, you can get its URL from the /activities/{activityUuid} endpoint. ### Get merchant tags for activity - [GET /activities/{activityUuid}/merchant-tags](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/merchant-tags.md): This endpoint returns a list of merchant tags for an activity. Only merchant tags set up for the authenticated partner using a valid access token are returned. Some merchant partners request custom tags for activities to better categorize them on their own platform. Partners must define the tags and their criteria with the Strategic partnerships team before Musement can begin assigning tags to activities. ### Get languages for activity - [GET /activities/{activityUuid}/metadata/languages](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/metadata/languages.md): Get all languages which may be used for a timeslot in the specified activity. ### Get participant info schema for activity - [GET /activities/{activityUuid}/participants-info/schema](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/participants-info/schema.md): Participant info is required for each person in a reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. ### Get pickups for activity - [GET /activities/{activityUuid}/pickups](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/pickups.md): Some activities require selecting a pickup from this endpoint as part of the reservation flow. ### Get refund policies for activity - [GET /activities/{activityUuid}/refund-policies](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/refund-policies.md): Returns an array of refund policies for the activity. Activities without refund policies are non-refundable. Depending on the configuration, an activity without refund policies will return either an empty or array or a 404 status code response. A 404 status code response could also mean the activity does not exist. ### Get taxonomies for activity - [GET /activities/{activityUuid}/taxonomies](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/taxonomies.md): Taxonomies provide information about the activity's highlights, inclusions and exclusions. ## Searching activities A collection of endpoints which can be used to search the catalog for relevant activities. ### Search activities - [GET /activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/activities.md): Returns an array of activities and additional meta information. ### Search activities in category - [GET /categories/{categoryId}/activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/categories/categoryid/activities.md): Response only contains activities with a status of ONLINE. ### Search activities in city - [GET /cities/{cityId}/activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/cities/cityid/activities.md): Returns a list of available activities for the city. If no date range is specified with the available_from and available_to parameters, a default of one year is used. ### Search activities in country - [GET /countries/{countryId}/activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/countries/countryid/activities.md): Response only contains activities with a status of ONLINE. ### Search activities in venue - [GET /venues/{venueId}/activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/venues/venueid/activities.md): Response only contains activities with a status of ONLINE. ### Search activities - [GET /activities](https://partner-api.musement.com/reference/openapi/activities/get/activities.md): Returns an array of activities and additional meta information. ### Search activities in category - [GET /categories/{categoryId}/activities](https://partner-api.musement.com/reference/openapi/categories/get/categories/categoryid/activities.md): Response only contains activities with a status of ONLINE. ### Search activities in city - [GET /cities/{cityId}/activities](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid/activities.md): Returns a list of available activities for the city. If no date range is specified with the available_from and available_to parameters, a default of one year is used. ### Search activities in country - [GET /countries/{countryId}/activities](https://partner-api.musement.com/reference/openapi/countries/get/countries/countryid/activities.md): Response only contains activities with a status of ONLINE. ### Search activities in venue - [GET /venues/{venueId}/activities](https://partner-api.musement.com/reference/openapi/venues/get/venues/venueid/activities.md): Response only contains activities with a status of ONLINE. ## Categories Categories group activities based on similar characteristics. ### Search activities in category - [GET /categories/{categoryId}/activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/categories/categoryid/activities.md): Response only contains activities with a status of ONLINE. ### Search categories - [GET /categories](https://partner-api.musement.com/reference/openapi/categories/get/categories.md): Returns an array of categories. ### Get category - [GET /categories/{categoryId}](https://partner-api.musement.com/reference/openapi/categories/get/categories/categoryid.md): Returns a category. ### Search activities in category - [GET /categories/{categoryId}/activities](https://partner-api.musement.com/reference/openapi/categories/get/categories/categoryid/activities.md): Response only contains activities with a status of ONLINE. ### Get category with city - [GET /categories/{categoryId}/cities/{cityId}](https://partner-api.musement.com/reference/openapi/categories/get/categories/categoryid/cities/cityid.md): This endpoint returns a category along with the requested city in the city property, useful when constructing a page for a category in a city. ### Get category tree - [GET /categories-tree](https://partner-api.musement.com/reference/openapi/categories/get/categories-tree.md): Get all categories in their hierarchical tree structure. The response itself is a "fake" category whose children property contains all the real categories. ## Cities Cities are different types of destinations: islands, natural landmarks, beaches, actual cities and more. ### Search activities in city - [GET /cities/{cityId}/activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/cities/cityid/activities.md): Returns a list of available activities for the city. If no date range is specified with the available_from and available_to parameters, a default of one year is used. ### Search cities - [GET /cities](https://partner-api.musement.com/reference/openapi/cities/get/cities.md): Returns an array of cities. ### Get city - [GET /cities/{cityId}](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid.md): Returns a city ### Search activities in city - [GET /cities/{cityId}/activities](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid/activities.md): Returns a list of available activities for the city. If no date range is specified with the available_from and available_to parameters, a default of one year is used. ### Get activities available today in city - [GET /cities/{cityId}/activities/today](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid/activities/today.md): Returns an array of activities available today for a city. ### Get activities available tomorrow in city - [GET /cities/{cityId}/activities/tomorrow](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid/activities/tomorrow.md): Returns an array of activities available tomorrow in a city. ### Get categories for city - [GET /cities/{cityId}/categories](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid/categories.md): Results are categories with activities that have a status of ONLINE. ### Get category with city - [GET /cities/{cityId}/categories/{categoryId}](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid/categories/categoryid.md): This endpoint returns a category along with the requested city in the city property, useful when constructing a page for a category in a city. ### Search lists in city - [GET /cities/{cityId}/lists](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid/lists.md): Response only contains published lists with one or more available items. ### Get venues in city - [GET /cities/{cityId}/venues](https://partner-api.musement.com/reference/openapi/cities/get/cities/cityid/venues.md): Response only contains venues with a status of ACTIVE and events_count value greater than zero. ## Countries A collection of endpoints related to countries in the Musement catalog. ### Search activities in country - [GET /countries/{countryId}/activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/countries/countryid/activities.md): Response only contains activities with a status of ONLINE. ### Get countries - [GET /countries](https://partner-api.musement.com/reference/openapi/countries/get/countries.md): Returns an array of countries. ### Get country - [GET /countries/{countryId}](https://partner-api.musement.com/reference/openapi/countries/get/countries/countryid.md): Returns a country. ### Search activities in country - [GET /countries/{countryId}/activities](https://partner-api.musement.com/reference/openapi/countries/get/countries/countryid/activities.md): Response only contains activities with a status of ONLINE. ### Get cities in country - [GET /countries/{countryId}/cities](https://partner-api.musement.com/reference/openapi/countries/get/countries/countryid/cities.md): Returns an array of cities in a country. ## Venues Venues are popular attractions or landmarks. ### Search activities in venue - [GET /venues/{venueId}/activities](https://partner-api.musement.com/reference/openapi/searching-activities/get/venues/venueid/activities.md): Response only contains activities with a status of ONLINE. ### Search venues - [GET /venues](https://partner-api.musement.com/reference/openapi/venues/get/venues.md): Response only contains venues with a status of ACTIVE and events_count value greater than zero. ### Get venue - [GET /venues/{venueId}](https://partner-api.musement.com/reference/openapi/venues/get/venues/venueid.md): Returns a venue. ### Search activities in venue - [GET /venues/{venueId}/activities](https://partner-api.musement.com/reference/openapi/venues/get/venues/venueid/activities.md): Response only contains activities with a status of ONLINE. ### Search comments about activities in venue - [GET /venues/{venueId}/comments](https://partner-api.musement.com/reference/openapi/venues/get/venues/venueid/comments.md): Comments are an older form of review submitted directly to the Musement platform. ### Get flavours for activities in venue - [GET /venues/{venueId}/flavours](https://partner-api.musement.com/reference/openapi/venues/get/venues/venueid/flavours.md): Returns an array of flavours for activities in a venue. ## Activity info A collection of endpoints which can be used to provide information to customers about a specific activity. ### Get activity - [GET /activities/{activityUuid}](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid.md): Returns an activity ### Get country for activity - [GET /activities/{activityUuid}/country](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/country.md): Returns the country associated with the activity's default city. ### Get cities for activity - [GET /activities/{activityUuid}/destinations](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/destinations.md): Every activity has one default city which appears in the /activities and /activities/{activityUuid} endpoints. However, an activity may be connected to multiple cities. This endpoint lists all connected cities and indicates which one is the default. ### Get extra customer data schema for activity - [GET /activities/{activityUuid}/extra-customer-data/schema](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/extra-customer-data/schema.md): Extra customer data is information requested per reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. ### Get flavours for activity - [GET /activities/{activityUuid}/flavours](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/flavours.md): Flavours are tags which provide additional information about an activity's characteristics. ### Get media for activity - [GET /activities/{activityUuid}/media](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/media.md): The response contains an array of media items for the activity. Items are mainly images, but could also be video. Depending on the activity configuration, the cover image may or may not be part of the results. If none of the results is the cover image, you can get its URL from the /activities/{activityUuid} endpoint. ### Get languages for activity - [GET /activities/{activityUuid}/metadata/languages](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/metadata/languages.md): Get all languages which may be used for a timeslot in the specified activity. ### Get participant info schema for activity - [GET /activities/{activityUuid}/participants-info/schema](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/participants-info/schema.md): Participant info is required for each person in a reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. ### Get refund policies for activity - [GET /activities/{activityUuid}/refund-policies](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/refund-policies.md): Returns an array of refund policies for the activity. Activities without refund policies are non-refundable. Depending on the configuration, an activity without refund policies will return either an empty or array or a 404 status code response. A 404 status code response could also mean the activity does not exist. ### Get taxonomies for activity - [GET /activities/{activityUuid}/taxonomies](https://partner-api.musement.com/reference/openapi/activity-info/get/activities/activityuuid/taxonomies.md): Taxonomies provide information about the activity's highlights, inclusions and exclusions. ### Get activity - [GET /activities/{activityUuid}](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid.md): Returns an activity ### Get country for activity - [GET /activities/{activityUuid}/country](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/country.md): Returns the country associated with the activity's default city. ### Get cities for activity - [GET /activities/{activityUuid}/destinations](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/destinations.md): Every activity has one default city which appears in the /activities and /activities/{activityUuid} endpoints. However, an activity may be connected to multiple cities. This endpoint lists all connected cities and indicates which one is the default. ### Get extra customer data schema for activity - [GET /activities/{activityUuid}/extra-customer-data/schema](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/extra-customer-data/schema.md): Extra customer data is information requested per reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. ### Get flavours for activity - [GET /activities/{activityUuid}/flavours](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/flavours.md): Flavours are tags which provide additional information about an activity's characteristics. ### Get media for activity - [GET /activities/{activityUuid}/media](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/media.md): The response contains an array of media items for the activity. Items are mainly images, but could also be video. Depending on the activity configuration, the cover image may or may not be part of the results. If none of the results is the cover image, you can get its URL from the /activities/{activityUuid} endpoint. ### Get languages for activity - [GET /activities/{activityUuid}/metadata/languages](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/metadata/languages.md): Get all languages which may be used for a timeslot in the specified activity. ### Get participant info schema for activity - [GET /activities/{activityUuid}/participants-info/schema](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/participants-info/schema.md): Participant info is required for each person in a reservation. You can use this endpoint for a preview of possible fields that might be used during the reservation flow. The response follows the JSON Schema Specification to describe the info requested for each participant. ### Get refund policies for activity - [GET /activities/{activityUuid}/refund-policies](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/refund-policies.md): Returns an array of refund policies for the activity. Activities without refund policies are non-refundable. Depending on the configuration, an activity without refund policies will return either an empty or array or a 404 status code response. A 404 status code response could also mean the activity does not exist. ### Get taxonomies for activity - [GET /activities/{activityUuid}/taxonomies](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/taxonomies.md): Taxonomies provide information about the activity's highlights, inclusions and exclusions. ## Pickups Some activities require selecting a pickup location as part of the booking flow. ### Get pickups for activity - [GET /activities/{activityUuid}/pickups](https://partner-api.musement.com/reference/openapi/pickups/get/activities/activityuuid/pickups.md): Some activities require selecting a pickup from this endpoint as part of the reservation flow. ### Get pickups for activity - [GET /activities/{activityUuid}/pickups](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/pickups.md): Some activities require selecting a pickup from this endpoint as part of the reservation flow. ## Dates A collection of endpoints for selecting available dates and products. ### Search dates in activity - [GET /activities/{activityUuid}/dates](https://partner-api.musement.com/reference/openapi/dates/get/activities/activityuuid/dates.md): Depending on the activity configuration, this endpoint may return price info in addition to dates. For activities with pickups, the pickup query parameter must be used. ### Get schedule for date in activity - [GET /activities/{activityUuid}/dates/{date}](https://partner-api.musement.com/reference/openapi/dates/get/activities/activityuuid/dates/dates.md): Returns all options, times, holders, languages and products for the specified date. A product's type and ID, required for adding a product to cart, can be found in the response. For activities with pickups, the pickup query parameter must be used. A 422 status code response means the requested date is not available, either temporarily or permanently. Customers are encouraged to try a different date. ### Search dates in activity - [GET /activities/{activityUuid}/dates](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/dates.md): Depending on the activity configuration, this endpoint may return price info in addition to dates. For activities with pickups, the pickup query parameter must be used. ### Get schedule for date in activity - [GET /activities/{activityUuid}/dates/{date}](https://partner-api.musement.com/reference/openapi/activities/get/activities/activityuuid/dates/dates.md): Returns all options, times, holders, languages and products for the specified date. A product's type and ID, required for adding a product to cart, can be found in the response. For activities with pickups, the pickup query parameter must be used. A 422 status code response means the requested date is not available, either temporarily or permanently. Customers are encouraged to try a different date. ## Carts A collection of endpoints for managing a customer's cart during the booking flow. ### Create cart - [POST /carts](https://partner-api.musement.com/reference/openapi/carts/post/carts.md): Creating a cart is a key step in the reservation flow. It's not necessary to provide customer info at this stage. Customer info can be supplied later using the PUT /carts/{cartUuid}/customer endpoint. Carts without an order are automatically removed after three months. ### Get cart - [GET /carts/{cartUuid}](https://partner-api.musement.com/reference/openapi/carts/get/carts/cartuuid.md): Returns a cart. Carts without an order are automatically removed after three months. Once the cart is connected to a closed order, the cart can only be viewed when the X-Musement-Currency header value matches the cart's original currency. Attempts to access the cart with different currencies will result in a 423 status code response. ### Add items to cart - [POST /carts/{cartUuid}/items](https://partner-api.musement.com/reference/openapi/carts/post/carts/cartuuid/items.md): While this endpoint accepts multiple items, only the first item is returned. A cart can hold a maximum of 100 items. Carts are allowed to contain items from different activities. ## Customer info When making a reservation, different steps must be taken to provide information about the customers. This collection includes endpoints for submitting info about the lead booker, extra customer data and participant info. ### Update customer info for cart - [PUT /carts/{cartUuid}/customer](https://partner-api.musement.com/reference/openapi/customer-info/put/carts/cartuuid/customer.md): Use this endpoint to provide information about the customer and extra customer data (if any). The request body must match the schema returned by the GET /carts/{cartUuid}/customer/schema endpoint. ### Get customer info schema for cart - [GET /carts/{cartUuid}/customer/schema](https://partner-api.musement.com/reference/openapi/customer-info/get/carts/cartuuid/customer/schema.md): Before creating an order, customer information must be added to cart. The exact information to provide can vary, depending on the selected activity products. The response follows the JSON Schema Specification to provide a schema of questions and extra customer data (if any) for the customer to answer in order to complete a reservation. ### Get participant info for cart item - [GET /carts/{cartUuid}/items/{cartItemUuid}/participants](https://partner-api.musement.com/reference/openapi/customer-info/get/carts/cartuuid/items/cartitemuuid/participants.md): This endpoint returns participant info that has already been provided for a cart item. Cart items which do not require participant info will return an empty array. The exact properties for each participant info vary depending on the cart item requirements. ### Update participant info for cart item - [PUT /carts/{cartUuid}/items/{cartItemUuid}/participants](https://partner-api.musement.com/reference/openapi/customer-info/put/carts/cartuuid/items/cartitemuuid/participants.md): Use this endpoint to provide info for each participant in a cart item. Cart items which do not require participant info will return a 404 status code. The exact properties for each participant info vary depending on the cart item requirements. ### Get participant info schema for cart item - [GET /carts/{cartUuid}/items/{cartItemUuid}/participants/schema](https://partner-api.musement.com/reference/openapi/customer-info/get/carts/cartuuid/items/cartitemuuid/participants/schema.md): Each item in a cart may require info for each participant in a reservation. The response follows the JSON Schema Specification to describe the info requested for each participant. ## Orders A collection of endpoints for managing orders as part of the booking flow. ### Create order - [POST /orders](https://partner-api.musement.com/reference/openapi/orders/post/orders.md): When a customer cart is ready, it's time to create an order and proceed to payment. We strongly recommend creating orders only when payment is guaranteed in order to reduce unnecessary API calls and avoid misleading results in sales reports. Partners are able to include more details to help map the order to their own orders system. ### Get order - [GET /orders/{orderUuid}](https://partner-api.musement.com/reference/openapi/orders/get/orders/orderuuid.md): Returns an order. ### Update order - [PATCH /orders/{orderUuid}](https://partner-api.musement.com/reference/openapi/orders/patch/orders/orderuuid.md): Once payment has occurred, orders cannot be updated. ### Request notification for order item - [POST /orders/{orderUuid}/items/{orderItemUuid}/notifications](https://partner-api.musement.com/reference/openapi/orders/post/orders/orderuuid/items/orderitemuuid/notifications.md): Trigger a webhook notification for an order item. This endpoint requires setting up a webhook URL with us ahead of time. Notifications cannot be requested for gifted order items. ### Get refund policies for order item - [GET /orders/{orderUuid}/items/{orderItemUuid}/refund-policies](https://partner-api.musement.com/reference/openapi/orders/get/orders/orderuuid/items/orderitemuuid/refund-policies.md): Returns an array of refund policies for an order item. ## Payments A collection of endpoints regarding payment during the booking flow. Partners have multiple payment options at their disposal, depending on agreements with the Strategic partnerships team. ### Pay for order via "no-payment flow" - [POST /payments/no/payment](https://partner-api.musement.com/reference/openapi/payments/post/payments/no/payment.md): Confirm order payment with the "no-payment flow". This flow can be used by any partner if the total price of an order is zero. For orders with a total price greater than zero, this flow is reserved for partners acting as merchant of record. Permission to use this flow must be set up ahead of time. ### Begin payment via Adyen or Stripe - [POST /payments/split/payment](https://partner-api.musement.com/reference/openapi/payments/post/payments/split/payment.md): Start paying for an order using either Adyen or Stripe. Use of this endpoint requires completing payment with the POST /payments/split/complete_3d_secure endpoint. ### Complete payment via Adyen or Stripe - [POST /payments/split/complete_3d_secure](https://partner-api.musement.com/reference/openapi/payments/post/payments/split/complete_3d_secure.md): Finish paying for an order using either Adyen or Stripe. After completing 3D Secure authentication, use this endpoint to confirm successful payment for the order. ## Cancellations It is possible to cancel reservations, provided that the activity in question is refundable. ### Cancel reservation for order item - [DELETE /orders/{orderUuid}/items/{orderItemUuid}](https://partner-api.musement.com/reference/openapi/cancellations/delete/orders/orderuuid/items/orderitemuuid.md): Cancelling reservations requires extra permissions which are not enabled by default. Cancellations are possible for activities with one or more refund policies, provided the cancellation takes place before the refund cutoff date. ## Lists Lists are collections of Musement activities and third-party destinations grouped together based on editorial themes. ### Get list types - [GET /list-types](https://partner-api.musement.com/reference/openapi/lists/get/list-types.md): Every list is assigned a list type to indicate its general purpose. This endpoint returns all list types available in the API. ### Search lists - [GET /lists](https://partner-api.musement.com/reference/openapi/lists/get/lists.md): Response only contains published lists with one or more available items. ### Get list - [GET /lists/{listId}](https://partner-api.musement.com/reference/openapi/lists/get/lists/listid.md): Returns a list. ### Get pages for list - [GET /lists/{listId}/regions](https://partner-api.musement.com/reference/openapi/lists/get/lists/listid/regions.md): Get all available musement.com pages for the specified list. ## Additional searches A collection of additional endpoints which can be used to search parts of the catalog. ### Autocomplete - [GET /autocomplete](https://partner-api.musement.com/reference/openapi/additional-searches/get/autocomplete.md): This endpoint is ideal for creating a list of choices as part of an autocomplete feature. Using any of the parameters that ends with _limit will return that items for that resource in the response. It is possible to include multiple parameters to return multiple resources. ## Carts A collection of cart endpoints which are not strictly necessary for the booking flow. ### Remove cart - [DELETE /carts/{cartUuid}](https://partner-api.musement.com/reference/openapi/carts-misc/delete/carts/cartuuid.md): Once a cart has been removed, it can no longer be accessed. Returns an error if the cart cannot be removed due to a connected order. ### Get bundles for cart - [GET /carts/{cartUuid}/bundles](https://partner-api.musement.com/reference/openapi/carts-misc/get/carts/cartuuid/bundles.md): Bundles are recommendations of other activities to purchase together with the activities in the current cart. Recommendations are based on activities which are often purchased together by other customers. Sometimes a bundle may contain a promotional discount which can be applied to one or both activities in cart. ### Remove item from cart - [DELETE /carts/{cartUuid}/items/{cartItemUuid}](https://partner-api.musement.com/reference/openapi/carts-misc/delete/carts/cartuuid/items/cartitemuuid.md): Use this endpoint to remove an item from cart. This endpoint will return a 403 status code if the cart is part of a completed order. ### Get product details for cart item - [GET /carts/{cartUuid}/items/{cartItemUuid}/product-general-details](https://partner-api.musement.com/reference/openapi/carts-misc/get/carts/cartuuid/items/cartitemuuid/product-general-details.md): Returns product details for a cart item. ### Get order info for cart - [GET /carts/{cartUuid}/order-info](https://partner-api.musement.com/reference/openapi/carts-misc/get/carts/cartuuid/order-info.md): This endpoint returns basic details about a cart's order (if it exists). ## Metadata Metadata is used for configuring several activity properties. ### Get languages - [GET /activity-languages](https://partner-api.musement.com/reference/openapi/metadata/get/activity-languages.md): Get all languages which may be used for an activity timeslot. ### Search taxonomy exclusions - [GET /activity-taxonomies/exclusions](https://partner-api.musement.com/reference/openapi/metadata/get/activity-taxonomies/exclusions.md): Taxonomies provide information about an activity's highlights, inclusions and exclusions. ### Search taxonomy highlights - [GET /activity-taxonomies/highlights](https://partner-api.musement.com/reference/openapi/metadata/get/activity-taxonomies/highlights.md): Taxonomies provide information about an activity's highlights, inclusions and exclusions. ### Search taxonomy inclusions - [GET /activity-taxonomies/inclusions](https://partner-api.musement.com/reference/openapi/metadata/get/activity-taxonomies/inclusions.md): Taxonomies provide information about an activity's highlights, inclusions and exclusions. ### Get currencies - [GET /currencies](https://partner-api.musement.com/reference/openapi/metadata/get/currencies.md): Returns an array of currencies. ### Search flavours - [GET /flavours](https://partner-api.musement.com/reference/openapi/metadata/get/flavours.md): This endpoint returns all available flavours, a type of tag for activities. ### Get features - [GET /features](https://partner-api.musement.com/reference/openapi/metadata/get/features.md): Get a complete list of feature metadata items that can be used for activities. ### Get services - [GET /services](https://partner-api.musement.com/reference/openapi/metadata/get/services.md): Get a complete list of service metadata items that can be used for activities. ## Reviews Customers may leave reviews about their experience with an activity. Reviews consist of a numeric rating and optional written comment. ### Search reviews for activity - [GET /activities/{activityUuid}/reviews](https://partner-api.musement.com/reference/openapi/reviews/get/activities/activityuuid/reviews.md): Returns an array of reviews for an activity. ### Add review to activity - [POST /activities/{activityUuid}/reviews](https://partner-api.musement.com/reference/openapi/reviews/post/activities/activityuuid/reviews.md): Add a review to an activity. ### Get review statistics for activity - [GET /activities/{activityUuid}/reviews/statistics](https://partner-api.musement.com/reference/openapi/reviews/get/activities/activityuuid/reviews/statistics.md): Returns statistics about the activity's reviews. ## Vouchers A collection of endpoints to use at the end of the booking flow to retrieve reserved tickets and vouchers. ### Get tickets for activity in order - [GET /orders/{orderUuid}/activities/{activityUuid}/tickets](https://partner-api.musement.com/reference/openapi/vouchers/get/orders/orderuuid/activities/activityuuid/tickets.md): Returns an array of available tickets/vouchers for the specified activity in the order. Use the GET /orders/{orderUuid}/activities/{activityUuid}/tickets/{ticketId} endpoint to download each ticket. ### Get PDF ticket for product in order - [GET /orders/{orderUuid}/activities/{activityUuid}/tickets/{ticketId}](https://partner-api.musement.com/reference/openapi/vouchers/get/orders/orderuuid/activities/activityuuid/tickets/ticketid.md): Returns a PDF for a single reserved activity product in the specified order. ### Get PDF voucher for activity in order - [GET /orders/{orderUuid}/activities/{activityUuid}/voucher](https://partner-api.musement.com/reference/openapi/vouchers/get/orders/orderuuid/activities/activityuuid/voucher.md): Returns a single PDF with all available tickets/vouchers for the specified activity in the order. ### Get PDF for order item - [GET /orders/{orderUuid}/items/{orderItemUuid}/voucher](https://partner-api.musement.com/reference/openapi/vouchers/get/orders/orderuuid/items/orderitemuuid/voucher.md): Returns a single PDF with all available tickets/vouchers for the specified order item. ### Get external PDF for order item - [GET /orders/{orderUuid}/items/{orderItemUuid}/vouchers-external](https://partner-api.musement.com/reference/openapi/vouchers/get/orders/orderuuid/items/orderitemuuid/vouchers-external.md): Returns a single PDF with all externally sourced tickets/vouchers for the specified order item. ## Webhooks A collection of webhook requests that Musement's API can make to a partner's service. ### Update order item - [POST order-item](https://partner-api.musement.com/reference/openapi/webhooks/post/order-item.md): The API sends this request to a partner's service when an order item status changes (for example from PENDING to OK). The body of the response is ignored. A 200 status code response confirms the request has been received and will be processed. All other status codes are treated as a failed attempt - another webhook request will be sent later. ## Activities A collection of deprecated endpoints for activities. ### Search comments about activity (deprecated) - [GET /activities/{activityUuid}/comments](https://partner-api.musement.com/reference/openapi/activities-deprecated/get/activities/activityuuid/comments.md): Comments are an older form of review submitted directly to the Musement platform. This endpoint has been replaced by the /activities/{activityUuid}/reviews endpoint, which incorporates reviews from various sources. ### Get activities related to activity (deprecated) - [GET /activities/{activityUuid}/related-activities](https://partner-api.musement.com/reference/openapi/activities-deprecated/get/activities/activityuuid/related-activities.md): Returns activities that share the same city, country and/or vertical of the specified activity, sorted by the relevance property. ### Get Covid-19 information for activity (deprecated) - [GET /activities/{activityUuid}/safety-information](https://partner-api.musement.com/reference/openapi/activities-deprecated/get/activities/activityuuid/safety-information.md): Returns an array of Covid-19 requirements. Only those with an is_active property value of true are in effect for the activity. Informative descriptions for each item are not provided by this endpoint. ## Carts A collection of deprecated endpoints for carts. ### Update cart (deprecated) - [PATCH /carts/{cartUuid}](https://partner-api.musement.com/reference/openapi/carts-deprecated/patch/carts/cartuuid.md): This endpoint has been replaced by multiple endpoints: * To add tickets to cart, use POST /carts/{cartUuid}/items. * To update customer info and extra customer data, use PUT /carts/{cartUuid}/customer. * To update participant info, use PUT /carts/{cartUuid}/items/{cartItemUuid}/participants. ### Replace cart (deprecated) - [PUT /carts/{cartUuid}](https://partner-api.musement.com/reference/openapi/carts-deprecated/put/carts/cartuuid.md): Replace any existing customer info and/or tickets for the specified cart. This endpoint has been replaced by multiple endpoints: * To add tickets to cart, use POST /carts/{cartUuid}/items. * To remove tickets from cart, use DELETE /carts/{cartUuid}/items/{cartItemUuid}. * To update customer info and extra customer data, use PUT /carts/{cartUuid}/customer. * To update participant info, use PUT /carts/{cartUuid}/items/{cartItemUuid}/participants. ### Add tickets to cart (deprecated) - [POST /carts/{cartUuid}/tickets](https://partner-api.musement.com/reference/openapi/carts-deprecated/get/carts/cartuuid/tickets.md): Tickets are an older term for cart items. This endpoint has been replaced by POST /carts/{cartUuid}/items. ### Remove ticket from cart (deprecated) - [DELETE /carts/{cartUuid}/tickets/{ticketUuid}](https://partner-api.musement.com/reference/openapi/carts-deprecated/delete/carts/cartuuid/tickets/ticketuuid.md): Tickets are an older term for cart items. Returns the numeric ID of the cart. This endpoint has been replaced by DELETE /carts/{cartUuid}/items/{cartItemUuid}. ## Cities A collection of deprecated endpoints for cities. ### Get verticals for city (deprecated) - [GET /cities/{cityId}/verticals](https://partner-api.musement.com/reference/openapi/cities-deprecated/get/cities/cityid/verticals.md): Returns an array of verticals for a city. ### Get categories for vertical in city (deprecated) - [GET /cities/{cityId}/verticals/{verticalId}/categories](https://partner-api.musement.com/reference/openapi/cities-deprecated/get/cities/cityid/verticals/verticalid/categories.md): Returns an array of categories for a vertical in a city. ## Verticals Verticals are a type of *macro category* which group various parts of the catalog together based on similar characteristics. They are considered deprecated. ### Get verticals (deprecated) - [GET /verticals](https://partner-api.musement.com/reference/openapi/verticals/get/verticals.md): Returns an array of verticals. ### Get vertical (deprecated) - [GET /verticals/{verticalId}](https://partner-api.musement.com/reference/openapi/verticals/get/verticals/verticalid.md): Returns a vertical. ### Search activities in vertical (deprecated) - [GET /verticals/{verticalId}/activities](https://partner-api.musement.com/reference/openapi/verticals/get/verticals/verticalid/activities.md): Returns an array of activities which belong to the vertical. ### Search categories in vertical (deprecated) - [GET /verticals/{verticalId}/categories](https://partner-api.musement.com/reference/openapi/verticals/get/verticals/verticalid/categories.md): Returns an array of categories which belong to the vertical. ## Cities A collection of endpoints for cities that were removed from the API. ### Search events in city (deprecated) - [GET /cities/{cityId}/events](https://partner-api.musement.com/reference/openapi/cities-removed/get/cities/cityid/events.md): Returns a list of available activities for the city. If no date range is specified with the available_from and available_to parameters, a default of one year is used. ### Get events available today in city (deprecated) - [GET /cities/{cityId}/events/today](https://partner-api.musement.com/reference/openapi/cities-removed/get/cities/cityid/events/today.md): Returns an array of activities available today in a city. ### Get events available tomorrow in city (deprecated) - [GET /cities/{cityId}/events/tomorrow](https://partner-api.musement.com/reference/openapi/cities-removed/get/cities/cityid/events/tomorrow.md): Returns an array of activities available tomorrow in a city. ## Countries A collection of endpoints for countries that were removed from the API. ### Search events in country (deprecated) - [GET /countries/{countryId}/events](https://partner-api.musement.com/reference/openapi/countries-removed/get/countries/countryid/events.md): Response only contains events with a status of ONLINE. ## Events A collection of endpoints for *events*, an older term for *activities*, that were removed from the API. ### Search events (deprecated) - [GET /events](https://partner-api.musement.com/reference/openapi/events/get/events.md): Event is an older term for activity. This endpoint has been replaced by the /activities endpoint. ### Get event (deprecated) - [GET /events/{eventId}](https://partner-api.musement.com/reference/openapi/events/get/events/eventid.md): Returns an event. ### Search comments about event (deprecated) - [GET /events/{eventId}/comments](https://partner-api.musement.com/reference/openapi/events/get/events/eventid/comments.md): Comments are an older form of review submitted directly to the Musement platform. This endpoint has been replaced by the /activities/{activityUuid}/reviews endpoint, which incorporates reviews from various sources. ### Search dates in event (deprecated) - [GET /events/{eventId}/dates](https://partner-api.musement.com/reference/openapi/events/get/events/eventid/dates.md): Depending on the event configuration, this endpoint may return price info in addition to dates. For events with pickups, the pickup query parameter must be used. ### Get media for event (deprecated) - [GET /events/{eventId}/media](https://partner-api.musement.com/reference/openapi/events/get/events/eventid/media.md): The response contains an array of media items for the event. Items are mainly images, but could also be video. Depending on the event configuration, the cover image may or may not be part of the results. If none of the results is the cover image, you can get its URL from the /event/{eventId} endpoint. ### Get events related to event (deprecated) - [GET /events/{eventId}/related-events](https://partner-api.musement.com/reference/openapi/events/get/events/eventid/related-events.md): Returns events that share the same city, country and/or vertical of the specified event, sorted by the relevance property. ## Misc A collection of various endpoints that were removed from the API. ### Search cities, lists and venues - [GET /activities-related](https://partner-api.musement.com/reference/openapi/misc-removed/get/activities-related.md): This endpoint returns resources which are related to activities: cities, lists and/or venues. Its query parameters are similar to those used in the /activities and /autocomplete endpoints, but it does not return activities. ## Venues A collection of endpoints for venues that were removed from the API. ### Search events in venue (deprecated) - [GET /venues/{venueId}/events](https://partner-api.musement.com/reference/openapi/venues-removed/get/venues/venueid/events.md): Response only contains activities with a status of ONLINE.